# # CombatOverhaulREwrite

A complete rewrite of CombatOverhaul by leseryk, will be taken down when the original author comes back and updates his mod. Updated and added fixes for mistlands.

## ## Installation (manual)

copy `plugins` folder to your `BepInEx` folder

## ## Features

Thunderstore - [Check Here](https://valheim.thunderstore.io/package/Kyresel/CombatOverhaul/)

NexusMods - [Check Here](https://www.nexusmods.com/valheim/mods/591)

- Uses serversync to sync configs from servers to clients.
- Uses built-in configwatcher.
- Configurable through config file or [configuration manager](https://valheim.thunderstore.io/package/Azumatt/Official_BepInEx_ConfigurationManager/)

(NOTE: Haven't tested all the features including Terraheim integrations. If you found a bug/errors/problems you can post a comment/bug at my nexus page or you can ping me at any valheim discord channel or here [@YmirMods](https://discord.gg/kYA8MymEDY) discord channel)

## ## Credits

- All credits goes to the original author for this amazing mod.

Nexus - [Leseryk](https://www.nexusmods.com/valheim/users/109784758)

## ## Changelog

<br/>
v1.0.6<br/>
- fixed bug with butcher knife where you can destroy and kill anything with it<br/>
- fixed bug where you can't hit enemies when there's a pet/tame inbetween.<br/>
<br/>
v1.0.5<br/>
- updated to the latest valheim and bepinex builds<br/>
- added implementation and configurable tweaks to dualknives (Skroll and Hati), crossbows (Arbalest), and greatswords (Krom)<br/>
<br/>
v1.0.3<br/>
- fixed bug where monsters can't hurt/damage your tames.<br/>
<br/>
v1.0.2<br/>
- fixed bug where monsters can't hurt you, thanks @manadancer from nexusmods for reporting this immediately<br/>
<br/>
v1.0.1<br/>
- fixed an old bug where you can hurt/kill your tames with any weapon without pvp being enabled.<br/>
- added possible fix to an old bug where you can attack/kill other players without pvp being enabled (not tested, can't test it by myself)<br/>
<br/>
v1.0.0<br/>
- first release<br/>
- added serversync and configwatcher<br/>
- added dualwield compatibility fixed, dualwield skills will now properly level up<br/>
- added fixed for mistlands magical staffs attack bug<br/>
- added compatibility fixed for my bowplugin mod.<br/>
- added compatibility fixed for my magicplugin mod<br/>
- remove old translations and added builtin english translation, you can add your own translation by following the example translation inside the zip file.<br/>
- added support to ingame configuration manager.<br/>

